Send a JSON request to POST /api/v2/phone/match using credentials provisioned by Privy.
Basic Authentication
curl --request POST \
--url https://stg-b2b-api.privy.id/api/v2/phone/match \
--header 'Authorization: Basic <BASE64_USERNAME_PASSWORD>' \
--header 'Content-Type: application/json' \
--header 'Merchant-Key: <MERCHANT_KEY>' \
--data '{
"transaction_id": "match-v2-001",
"nik": "3173050101900001",
"msisdn": "628551234567",
"channel": "web"
}'
Bearer HMAC Authentication
curl --request POST \
--url https://stg-b2b-api.privy.id/api/v2/phone/match \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Timestamp: <TIMESTAMP>' \
--header 'Signature: <SIGNATURE>' \
--header 'Content-Type: application/json' \
--data '{
"transaction_id": "match-v2-001",
"nik": "3173050101900001",
"msisdn": "628551234567",
"channel": "web"
}'
The submitted msisdn must belong to Indosat Ooredoo Hutchison.
Last modified on